Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004762TestLinkFilterspublic2011-10-04 21:002011-12-10 08:16
Reporteretomberg 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version 
Summary0004762: Assign Not Run for specific build / specific user tescases to another build. Filter does not work correctly.
DescriptionThis is a common task for a manager to re-assign test cases from one old build (build 1) to a new one (build 2). The most important is to re-assign test cases which were not run in the build 1. Trying to accomplish this task we experience some difficulties. It looks like the filter selecting Not Run test cases for a specific user and a specific build does not work. There are two combo boxes to select builds. One is in the Setting section. It serves as a destination build and SHOULD NOT affect test case filtering but it does. The second build selector appears in the Filters section if you choose some specific Result (Not Run in our case), "specific build" in "on" selector and than one of the builds in Build selector. This build can be considered as a source. It has to affect the test case filtering and it does but it could be sometimes overwritten by the Setting section build selector.
Steps To ReproducePreconditions:
1. For a given test plan, have several builds (Build 1, Build 2).
2. For a given user (User 1), in Build 1, have some test cases assigned to him and not all of those test cases are executed. Some of them has Not Run status.
3. For the same user and Build 2, have some test cases assigned but there are Not Run test cases from the Build 1 that are not assigned yet to the user.

As a manager, open TestLink and click Assign Test Case Execution. It opens the "Assign Testers to test execution" screen with a left panel having Setting, Filters and tree view section. At the beginning, the tree view shows all test cases from the test plan. In the Setting section you see the test plan as well as the latest build (Build 2).

Go to Filters section and select a) User 1 in "Assigned to" selector; b) Not Run in "Result" selector; c) specific build in "on" selector; d) Build 1 in "Build" selector. Now click Apply button. Note the number of test cases after filtering. If you know the true number of unassigned test cases from Build 1 you can see that it is not what is returned. If you do not know this number you can try to change Settings build selector to Build 1. Logically the destination build must not affect the filtering but it does and you can see the number of found test cases changes.

Additional InformationI have tried to find the fix for this bug (if it is a bug). Once again it looks as a bug for us because our managers cannot re-assign Not Run test cases from one build to another.
If you agree that it is a bug the fix is the following:
Replacement in lib\functions\treeMenu.inc.php

// BUGID 3406: user assignments per build
$opt = array('include_unassigned' => $include_unassigned, 'steps_info' => false,
                 'user_assignments_per_build' => $build_id);
// 'user_assignments_per_build' => $build2filter_assignments);
TagsNo tags attached.
Database (MySQL,Postgres,etc)mySQL 5.5.15
BrowserFireFox 4.0
PHP VersionPHP 5.5
TestCaseID
QA Team - Task Workflow Status
Attached Filesdocx file icon On TestLink bug 4732.docx [^] (208,291 bytes) 2011-10-06 17:20

- Relationships
duplicate of 0004491closedfman Assign Test Case execution to users - Filtering 'Assigned to Field' does not work when builds are closed. 

-  Notes
(0015872)
fman (administrator)
2011-10-05 20:53

>> If you know the true number of unassigned test cases
>> from Build 1 you can see that it is not what is returned
there is something wrong in this description, with filters setted as you have described you can not get UNASSIGNED test cases.

Please provided a simple but really detailed example
(0015878)
etomberg (reporter)
2011-10-06 17:19

I have created a document explaining details of the bug. Please see attached document "On TestLink bug 4732.docx".
(0015907)
bognar (reporter)
2011-10-20 05:57

I would like to add to this issue, which looks crucial to us.

The simplified problem could be described as following:
1. TestCases in TestProject for Platform and Build1 assinged to Tester are not yet executed
2. create Build2
3. we want to filter all testcases with status "not_run" on Build1 to reassign them to Build2

The problem is, the filtering by "not_run on speficic build" is not working

We use TestLink 1.9.3.
(0016000)
fman (administrator)
2011-11-11 19:42

@users
can you give a look to related issue, IMHO is similar.
(0016136)
fman (administrator)
2011-12-10 08:16

no user feedback

- Issue History
Date Modified Username Field Change
2011-10-04 21:00 etomberg New Issue
2011-10-05 20:53 fman Note Added: 0015872
2011-10-05 20:53 fman Assigned To => fman
2011-10-05 20:53 fman Status new => feedback
2011-10-06 17:19 etomberg Note Added: 0015878
2011-10-06 17:19 etomberg Status feedback => assigned
2011-10-06 17:20 etomberg File Added: On TestLink bug 4732.docx
2011-10-20 05:57 bognar Note Added: 0015907
2011-11-11 19:41 fman Relationship added duplicate of 0004491
2011-11-11 19:42 fman Note Added: 0016000
2011-11-11 19:42 fman Status assigned => feedback
2011-12-10 08:16 fman Note Added: 0016136
2011-12-10 08:16 fman Status feedback => closed
2011-12-10 08:16 fman Resolution open => fixed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker